GET /food/products/search
Operation ID: searchGroceryProducts
Auth: unknown
Description
Search packaged food products, such as frozen pizza or Greek yogurt.
Parameters (12)
(boolean, query, optional)
If set to true, you get more information about the products returned.
Constraints: {'enum': [False, True]}
(number, query, optional)
The maximum amount of calories the product can have.
(number, query, optional)
The maximum amount of carbohydrates in grams the product can have.
(number, query, optional)
The maximum amount of fat in grams the product can have.
(number, query, optional)
The maximum amount of protein in grams the product can have.
(number, query, optional)
The minimum amount of calories the product must have.
(number, query, optional)
The minimum amount of carbohydrates in grams the product must have.
(number, query, optional)
The minimum amount of fat in grams the product must have.
(number, query, optional)
The minimum amount of protein in grams the product must have.
(integer, query, optional, default: 10)
The maximum number of items to return (between 1 and 100). Defaults to 10.
Constraints: {'minimum': 1, 'maximum': 100}
(integer, query, optional)
The number of results to skip (between 0 and 900).
Constraints: {'minimum': 0, 'maximum': 900}
(string, query, optional)
The (natural language) search query.
No probe data for this endpoint yet.